﻿@model BoE.Models.Character
@{
    ViewBag.Title = "CharacterDetails";
    var ban = Model.Bans.FirstOrDefault(b => b.Expiration > DateTime.Now);
    string adminOn = Model.CharacterGameRoles.Count != 0 ? Model.CharacterGameRoles
                .Where(cgr => cgr.GameRoleType== BoE.Models.CharacterGameRoleType.Admin)
                .Select(cgr => cgr.GameServer.Name)
                .Aggregate((a, b) => a + " | " + b) : "";
}

<h2>Character Details</h2>

<div class="character-details">
    <div class="character-info">
        <div>
            @Html.LabelFor(m => m.Name): 
            @Html.DisplayFor(m => m.Name)
        </div>
        <div>
            @Html.LabelFor(m => m.Kills): 
            @Html.DisplayFor(m => m.Kills)
        </div>
        <div>
            @Html.LabelFor(m => m.Deaths): 
            @Html.DisplayFor(m => m.Deaths)
        </div>
        <div>
            @Html.LabelFor(m => m.Wins): 
            @Html.DisplayFor(m => m.Wins)
        </div>
        <div>
            @Html.LabelFor(m => m.Loses): 
            @Html.DisplayFor(m => m.Loses)
        </div>
        <div>
            @Html.LabelFor(m => m.Experience): 
            @Html.DisplayFor(m => m.Experience)
        </div>
        <div>
            @Html.LabelFor(m => m.Gold): 
            @Html.DisplayFor(m => m.Gold)
        </div>
        <div>
            @Html.LabelFor(m => m.Generation): 
            @Html.DisplayFor(m => m.Generation)
        </div>
        <div>
            @Html.LabelFor(m => m.LoomPoints): 
            @Html.DisplayFor(m => m.LoomPoints)
        </div>
        <div>
            @Html.LabelFor(m => m.LastTick): 
            @Html.DisplayFor(m => m.LastTick, "ShortDateNullable")
        </div>
           <div>
            @Html.LabelFor(m => m.CreationDate): 
            @Html.DisplayFor(m => m.CreationDate, "ShortDate")
        </div>
    </div>
    <div class="character-info">
        <div>
            <label>Ban until: </label>
            <span>@(ban != null ? (ban.Expiration.HasValue ? ban.Expiration.Value.ToString("dd/MM/yy") : "End of the world") : "N/A")</span>
        </div>
        <div>
            <label>Is admin on: </label>
            <span>
                @adminOn
            </span>
        </div>
    </div>
</div>